src/DBConcept.hx
	case "haxe" | "java": reverseCode(p);
		//~ Sys.println("usage: dbconcept -s haxe:path/to/source.dir [-d path/to/destination]");
		//~ Sys.println("usage: dbconcept -s java:path/to/source.dir [-d path/to/destination]");
	
	static function reverseCode(p : SParams) {
		var cd : ClassDiagram = null;
		if (!FileSystem.exists(p.src)) {
			Sys.println("error: file or directory '" + p.src + "' not found");
		} else {
			if (p.sType == "haxe") {
				cd = HxParser.analyse(p.src);
			}
		}
	}
